org.apache.felix.scrplugin.ant

## Class SCRDescriptorTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.apache.felix.scrplugin.ant.SCRDescriptorTask

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class SCRDescriptorTask
    extends org.apache.tools.ant.taskdefs.MatchingTask

The `SCRDescriptorTask` generates a service descriptor file based on annotations found in the sources.

### Field Summary

Fields
`protected boolean` `strictMode` In strict mode the plugin even fails on warnings.

### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`fileset`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`SCRDescriptorTask()`

### Method Summary

Methods
`org.apache.tools.ant.types.Path` `createClasspath()`
`void` `execute()`
`protected Collection<org.apache.felix.scrplugin.Source>` `getSourceFiles(org.apache.tools.ant.types.FileSet sourceFiles)`
`boolean` `isScanClasses()`
`void` `setClasspath(org.apache.tools.ant.types.Path classPath)`
`void` `setClasspathRef(org.apache.tools.ant.types.Reference classpathRef)`
`void` `setDestdir(File outputDirectory)`
`void` `setGenerateAccessors(boolean generateAccessors)`
`void` `setScanClasses(boolean scanClasses)`
`void` `setSpecVersion(String specVersion)`
`void` `setSrcdir(File srcdir)`
`void` `setStrictMode(boolean strictMode)`

### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### strictMode

    protected boolean strictMode

In strict mode the plugin even fails on warnings.

### Constructor Detail

#### SCRDescriptorTask

    public SCRDescriptorTask()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

#### getSourceFiles

    protected Collection<org.apache.felix.scrplugin.Source> getSourceFiles(org.apache.tools.ant.types.FileSet sourceFiles)

#### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

#### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classPath)

#### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference classpathRef)

#### setSrcdir

    public void setSrcdir(File srcdir)

#### setDestdir

    public void setDestdir(File outputDirectory)

#### setGenerateAccessors

    public void setGenerateAccessors(boolean generateAccessors)

#### setStrictMode

    public void setStrictMode(boolean strictMode)

#### setSpecVersion

    public void setSpecVersion(String specVersion)

#### isScanClasses

    public boolean isScanClasses()

#### setScanClasses

    public void setScanClasses(boolean scanClasses)